/*
 * $Id: SignalException.java,v 1.1 2004/12/23 12:16:40 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.shell.exception;

/**
 * ƒVƒOƒiƒ‹
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class SignalException extends Exception {

	/**
	 * 
	 */
	public SignalException() {
		super();
	}

	/**
	 * @param message
	 */
	public SignalException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public SignalException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public SignalException(String message, Throwable cause) {
		super(message, cause);
	}

}
